### Enumeration

# Qmi QosStatus

since: 1.22

#### Declaration

    enum Qmi.QosStatus

#### Description [src]

QoS flow status.

Available since: 1.22

#### Members

`QMI_QOS_STATUS_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.22
`QMI_QOS_STATUS_ACTIVATED`

  Activated.

  - Value: `1`
  - Available since: 1.22
`QMI_QOS_STATUS_SUSPENDED`

  Suspended.

  - Value: `2`
  - Available since: 1.22
`QMI_QOS_STATUS_GONE`

  Gone.

  - Value: `3`
  - Available since: 1.22

#### Type functions

###### qmi_qos_status_get_string

Gets the nickname string for the `QmiQosStatus` specified at `val`.

since: 1.22